<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobServer.SettingsManager
</name>
</assembly>
<members>
<member name="T:JF.PlmJobManager.JobServer.My.Resources.Resources">
<summary>
  Eine stark typisierte Ressourcenklasse zum Suchen von lokalisierten Zeichenfolgen usw.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.ResourceManager">
<summary>
  Gibt die zwischengespeicherte ResourceManager-Instanz zurück, die von dieser Klasse verwendet wird.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.Culture">
<summary>
  Überschreibt die CurrentUICulture-Eigenschaft des aktuellen Threads für alle
  Ressourcenzuordnungen, die diese stark typisierte Ressourcenklasse verwenden.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.Database_Backup">
<summary>
  Sucht eine lokalisierte Ressource vom Typ System.Drawing.Bitmap.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.DatabaseCustom">
<summary>
  Sucht eine lokalisierte Ressource vom Typ System.Drawing.Bitmap.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.DatabaseOptimice">
<summary>
  Sucht eine lokalisierte Ressource vom Typ System.Drawing.Bitmap.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.DatabaseUpdate">
<summary>
  Sucht eine lokalisierte Ressource vom Typ System.Drawing.Bitmap.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.FolderOpen_BackGround_transparent">
<summary>
  Sucht eine lokalisierte Ressource vom Typ System.Drawing.Bitmap.
</summary>
</member>
<member name="T:JF.PlmJobManager.JobServer.EnumDisplaytextConverter">
 <summary>
 Hilfsklasse zur Darstellung von Enum-Werten in PropertyGrids.<br />
 Falls vorhanden, wird der Wert des <see cref="T:System.ComponentModel.DescriptionAttribute"/>s anstelle des Enum-Namens angezeigt.
 </summary>
 <remarks>New: 2.1219;05.11.2015;A.Becker</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.GitterVar_cls.GitterVarReplaceInTextString(System.String)">
 <summary>
 
 </summary>
 <returns></returns>
</member>
<member name="M:JF.PlmJobManager.JobServer.InternalTools.DataBaseSetup_AskDoExecute(System.String,Microsoft.VisualBasic.MsgBoxStyle)">
 <summary>
 Question before executing T-SQL Script
 </summary>
 <param name="MsgText_p"></param>
 <param name="MsgBoxStyle_p"></param>
 <remarks>2.1210;05.11.2014;J.Fes;last.change: YES NO behavior changed</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.GeneralApplSettings_cls.ScriptEditor_DPNE">
 <summary>
 festlegung für den ScriptEditor 
 </summary>
 <returns></returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.MSSQL_DB_Password_Plaintext">
 <summary>
 JobMgr.DB SQL Server password as planintext
 
 re
 </summary>
 <returns></returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.MSSQL_CMDSQL_DBConnectionString">
 <summary>
 SqlServer CMD Connection String
 </summary>
 <remarks> 
 #LUp: 3.1602;04.07.2022;J.Fes add MSSQL_DB_SSL_UseEncryption
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobClient_ServerResponseTimeout">
 <summary>
 Wartezeit in Sekunde für Client nach erfolgter Verbindung auf die ersten eintreffenden Daten
 </summary>
 <value></value>
 <returns></returns>
 <remarks></remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_Root1_Evaluated_DP">
 <summary>
 returns the evaluated JobMgr Application root path for '10.01..JobMgr_Root_DP'
 </summary>
 <returns></returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_Data90DefaultRoot_DP">
 <summary>
 12.01 Root Path for ..\90-DATA\#Customer#_#WorkInst#\...
 </summary>
 <remarks> 
 #New: 3.1800;18.07.2023;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_12Data">
 <summary>
 10.04 Data root path for ..\90-DATA\#Customer#_#WorkInst#\12-Data
 </summary>
 <remarks> 
 #LUP: 3.1800;19.07.2023;J.Fes
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_90DataRootAlternativSwapper_DP(System.String)">
 <summary>
 Swapps beween Me.Dir_90DataRootAlternativ_DP and Dir_Root_DP_r
 #Doc: if Me.Dir_90DataRootAlternativ_DP is empty then Dir_Root_DP_r is returend 
 </summary>
 <remarks> 
 #New: 3.1800;19.07.2023;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_Root3_10JobLogArchivAlternative2_DP">
 <summary>
 returns alternative 10JobLogArchivAlternative2_DP
 </summary>
 <remarks> 
 #New: 3.2000;05.04.2024;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_Root3_10JobLogArchivAlternative_DP_update_31230">
 <summary>
 keeps knows if update 31230 is Done
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.GetApplRootUsed_DP(System.String,System.String,System.Boolean)">
 <summary>
 ermittelt welcher Path für die Ablage der Daten verwendet wird
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_RootMirrorUsed">
 <summary>
  ApplDokuIntern: 2.0961;19.02.2012;J.Fes;"Doc: deaktiviert da bereits seid 4 Jahren nicht mehr verwendet"
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_12Data_ViewOnly">
 <summary>
 12.01 Root Path for ..\90-DATA\#Customer#_#WorkInst#\...
 </summary>
 <remarks> 
 #New: 3.1800;19.07.2023;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_10JobLogArchiv">
 <summary>
 returns evaluated 10JobLogArchiv path
 </summary>
 <remarks> 
 #LUp: 3.2000;05.04.2024;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_10JobLogArchivImportError">
 <summary>
 returns #Dir_DataRoot_DP_10JobLogArchiv#.ImportError path
 </summary>
 <remarks> 
 #LUp: 3.2000;05.04.2024;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_11ServerSysLogRoot">
 <summary>
 Root DIR ..\90-DATA\#Customer#_#WorkInst#\11-ServerSysLog
 </summary>
 <remarks> 
 #New: 3.1416;20.07.2017;S.Gueth
 </remarks>
</member>
<member name="F:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_11ServerSysLog_PP">
 <summary>
 Keeps PP (Partial Path) for Sysersylog of startd JobMgr
 </summary>
 <remarks>
 New: 2.1210;20.02.2015;J.Fes
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.ServerSysLog_DPNE(System.String)">
 <summary>
 erstellt den Dateinamen für einen Syslogfile 
 </summary>
 <param name="SysLog_N_p">Name of Syslogfiles (Info: please Do not enter Extension)</param>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.ServerSysLog_DP">
 <summary>
 gibt den Pfad zu ServerSysLog zurück
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_30DataBase_22ItemInfoLists">
 <summary>
 returns Root DIR ..\90-DATA\#Customer#_#WorkInst#\30-DataBase\22-ItemInfoLists
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_30DataBase_22ItemInfoListsArchiv">
 <summary>
 returns Root DIR ..\90-DATA\#Customer#_#WorkInst#\30-DataBase\22-ItemInfoLists.Archiv
 </summary>
 <remarks> 
 #New: 3.2000;04.07.2024;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_JobServerLocal_DP">
 <summary>
 Returns JobServerLocal Path based on: %JobMgr_RootL_DP%
 </summary>
 <remarks> 
 #New: 3.1234;22.04.2016;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_JobClientJobProcessRootLocal_DP">
 <summary>
 Returns JobClient root path to local JobProcess directorys based on %JobMgr_RootL_DP%\JobClient
 </summary>
 <remarks> 
 #New: 3.1465;23.05.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_JobServerLocalTemp_DP(System.Int32)">
 <summary>
 returns JobServer Dir_DataRoot_JobServerLocalTemp_DP 
 %JobMgr_RootL_DP%\_JS_tmp or %temp%\_JS_tmp or %temp% 
 </summary>
 <remarks>' ApplDokuIntern: 2.1210;10.12.2013;J.Fes;"#Change: uses now:%JobMgr_RootL_DP%"</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.AppData_Local_DP">
 <summary>
 Returns Root dir for resources in AppData_Local
 </summary>
 <remarks> 
 #New: 3.1300;07.02.2017;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_91JobControl">
 <summary>
 ApplWhatsNew: 2.0536;17.09.2009;J.Fes;Settings;Ver.Info;"Dir_DataRoot_DP_91JobControl neu hinzugefügt\n in diese Verzeichniss sind JobControls Files abzulegen\n Einsatzbeispiel: Ablage von JobFiles die via JobServerScripte verarbeitet werden"
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_DP">
 <summary>
 ..\01-BinServer
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_Custom_DP">
 <summary>
 ..\01-BinServer.Custom
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.DirChkCreate(System.String,System.String@,System.String@)">
 <summary>
 Check if Dir are chreated allready 
 </summary>
 <param name="DirToCreate_DP_p"></param>
 <param name="Dir_DP_p"></param>
 <param name="DirChk_DP_p"></param>
 <returns></returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_Custom_Resources_DP">
 <summary>
 ..\01-BinServer.Custom\Resources
 New: 2.1210;16.12.2014;J.Fes
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_Custom_Ws_DP">
 <summary>
 ..\01-BinServer.Custom\Computers\ComputerName
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_Custom_WsUser_DP">
 <summary>
 Root DIR\01-BinServer.Custom\Computers\ComputerName\UserName
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_01_BinServer_Custom_User_DP">
 <summary>
 Root DIR\01-BinServer.Custom\Users\UserName
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_03_BinPublic_CustomS_DP">
 <summary>
 <br/>Returns JobMgrRoot\03-BinPublic.Custom Dir 
 <br/>#EXA: '%JobMgr_Root DP%\03-BinPublic'
 </summary>
 <remarks> 
 <br/>#New: 3.2000;16.02.2026;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_03_BinPublic_ClientServerResources_DP">
 <summary>
 "#Root_DP#\03-BinPublic.ClientServer\JobManagerCmdTools_Resources"
 </summary>
 <remarks> 
 #New: 3.1488;08.03.2019;S.Gueth
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.BinServer_MsSQLToolsBinn32or64_DP">
 <summary>
 Path to ..\03-BinPublic\MsSQL\OSQL32\OSQL.EXE 
 </summary>
 <value></value>
 <returns></returns>
 <remarks>New: 2.1210;03.03.2015;J.Fes</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CustomDefaults">
 <summary>
 Returns default Dir ..\10-JobScripts\_CustomDefaults
 </summary>
 <remarks> 
 #New: 3.1448;20.01.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CustomDefaults_TcPrompt">
 <summary>
 Returns default Dir ..\_CustomDefaults\TcPrompt
 </summary>
 <remarks> 
 #New: 3.1448;20.01.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CustomDefaults_NxPrompt">
 <summary>
 Returns default Dir ..\_CustomDefaults\NxPrompt
 </summary>
 <remarks> 
 #New: 3.1448;20.01.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CustomDefaults_TcPasswordFiles">
 <summary>
 Returns default Dir ..\_CustomDefaults\TcPasswordFiles
 </summary>
 <remarks> 
 #New: 3.1448;20.01.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_JobMgrDefaults">
 <summary>
 Returns default Dir ..\10-JobScripts\_JobMgrDefaults
 </summary>
 <remarks> 
 #New: 3.1448;20.01.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CheckBox">
 <summary>
 Returns default Dir ..\10-JobScripts\CheckBox
 </summary>
 <remarks> 
 #New: 3.1487;29.11.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_DataRoot_DP_Customer_SettingsGlobal_10JobScripts_CheckBox_Bin">
 <summary>
 Returns default Dir ..\10-JobScripts\CheckBox
 </summary>
 <remarks> 
 #New: 3.1487;29.11.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_04_Templates_10JobScripts">
 <summary>
 JobMgr Template DIR 10-JobScripts
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_04_Templates_10JobScripts_JobMgrDefaults">
 <summary>
 JobMgr Template DIR 10-JobScripts\_JobMgrDefaults
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.Dir_04_Templates_20JobComputerScripts">
 <summary>
 JobMgr Template DIR 
 </summary>
 <returns></returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.BinServerCustom_Resources_TcSQL_DP(System.String)">
 <summary>
 "Resource Dir ..\01-BinServer.Custom\_CustomTcSQL\#TcSiteID# Directory"
 </summary>
 <remarks >
 New: 2.1210;03.03.2014;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.BinServerCustom_Resources_JobMgrSQL_DP">
 <summary>
 Custom Resource Dir ..\01-BinServer.Custom\Resources\JobMgrSQL Directory
 </summary>
 <remarks >
 New: 2.1210;16.12.2014;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.BinServerCustom_Resources_ObjectAttribtes_DP(System.String)">
 <summary>
 "Resource Dir ..\01-BinServer.Custom\_CustomTcSQL\#TcSiteID#\ObjectAttribues\.. "
 </summary>
 <remarks >
 New: 2.1210;03.03.2014;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.BinServerCustom_Resources_ObjectAttribtes_DPNE(System.String,System.String)">
 <summary>
 "Resource Dir ..\01-BinServer.Custom\_CustomTcSQL\#TcSiteID#\ObjectAttribues\#ObjectsAttribute_NE_p#"
 </summary>
 <remarks >
 New: 2.1210;03.03.2014;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobFiles_10JobScripts_TcPrompt_Custom_cmd_DPNE">
 <summary>
 Returns full path to default TcPrompt_Custom.cmd
 </summary>
 <returns></returns>
 <remarks> 
 #New: 3.1248;30.06.2016;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.AdminMode">
 <summary>
 Defines default AdminMode.
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobComputers_DataCol_Custom01HeaderText">
 <summary>
  Defines JobComputers colume header text for colume: 'x.Custom01'
 </summary>
 <remarks> 
 #New: 3.1318;13.04.2017;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobComputers_DataCol_Custom02HeaderText">
 <summary>
  Defines JobComputers colume header text for colume: 'x.Custom02'
 </summary>
 <remarks> 
 #New: 3.1318;13.04.2017;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobComputers_DataCol_Custom03HeaderText">
 <summary>
  Defines JobComputers colume header text for colume: 'x.Custom03'
 </summary>
 <remarks> 
 #New: 3.1318;13.04.2017;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobComputers_DataCol_Custom04HeaderText">
 <summary>
  Defines JobComputers colume header text for colume: 'x.Custom04'
 </summary>
 <remarks> 
 #New: 3.1318;13.04.2017;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.JobManagerMailServerConfigs">
 <remarks> 
 #New: 3.1503;14.04.2021;S.Gueth
 #LUp: 3.2000;26.01.2024;S.Gueth: JobManagerMailServerConfigs are now stored in the database, see JobServer.DataSource -> JobServer_DataSource_JobManagerMailServerConfigs.vb
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.MyAppl_ServerSettings_cls.PasswordMaskGet(System.String)">
 <summary>
 function to get the password mask of a password
 </summary>
 <param name="password"></param>
 <returns></returns>
 <remarks>New: 2.1210;17.12.2014;S.Gueth</remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.SettingsManager.Licence_cls">
 <summary>
 license Class
 </summary>
 <remarks>New: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.SettingsManager.Licence_cls.LicenceTypes">
 <summary>
 licence type enum
 </summary>
 <remarks>New: 3.1230;21.01.2016;S.Gueth</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Licence_cls.LicenceTakenFromSettingsFile">
 <summary>
 defines if the licence data was taken from the settings file
 </summary>
 <returns></returns>
 <remarks>New: 3.1230;21.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Licence_cls.Licence_Check">
 <summary>
 prüft die Gültigkeit der Liezenz
 </summary>
 <returns></returns>
</member>
<member name="T:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls">
 <summary>
 Application Settings Class 
 </summary>
 <remarks></remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettings">
 <summary>
 ServerSettings Daten 
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.CustomerLicence">
 <summary>
 customer license object
 </summary>
 <remarks>New: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettings_load_Result">
 <summary>
 Returns if Serversettings load was Ok. 
  bevor try loading settings value is nothing after load value ist true (load OK) or false (load error)
 </summary>
 <remarks>
 New: 2.1091;31.07.2012;J.Fes
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettings_Save">
 <summary>
 Speichern der ServerSettings
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.LicenceData_Save">
 <summary>
 Saves to licence Settings
 </summary>
 <returns></returns>
 <remarks>New: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettings_Load">
 <summary>
 Laden der ServerSettings (uses GlobalInststances.MyAppl_CmdArgs.ServerSettingsXML_DPNE) 
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.LicenceDataLoad">
 <summary>
 load of licence data (uses GlobalInststances.MyAppl_CmdArgs.ServerSettingsXML_DPNE) 
 </summary>
 <returns>New: 3.1230;20.01.2016;S.Gueth</returns>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettingsXML_DPNE">
 <summary>
 Returns used ServerSettingsXML_DPNE
 <br/>Data are set by ServerSettings_Load
 </summary>
<remarks> 
<br/>#New: 3.2000;12.06.2025;J.Fes
</remarks>>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ServerSettings_Load(System.String,System.Boolean)">
 <summary>
 loading ServerSettings from ServerSettingsXML_DPNE_p
 </summary>
 <param name="ServerSettingsXML_DPNE_p"></param>
 <remarks>New: 2.1091;31.07.2012;J.Fes // 2.1210;29.12.2014;J.Fes;Change: ueberarbeitet wegen JobClient anbindung</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.LicenceDataLoad(System.String,System.Boolean)">
 <summary>
 load of licence data
 </summary>
 <param name="LicenceXML_DPNE_p"></param>
 <remarks>New: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ReadLicenceSettingsFromSettingsFile">
 <summary>
 function that reads the licence settings from the settings file
 </summary>
 <remarks>New: 3.1230;21.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.AllSettings_Save">
 <summary>
 Speichern aller Einstellungen
 </summary>
 <remarks>last.change: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.AllSettings_Load">
 <summary>
 Laden aller Einstellungen
 </summary>
 <remarks>last.change: 3.1230;20.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.JobClientSettingsXML_Create">
 <summary>
 erzeugt den JobClientSettingsXML File 
 ueberarbeitet 7.7.2010 J.Fes (old Name was JobManger_Client_INI_gen_with_template)
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.JobClinetLicenceXML_DPNE">
 <summary>
 Returns Licence File at (\01-BinClient.Custom\..)
 </summary>
 <remarks> 
 #New: 3.1487;01.12.2018;J.Fes
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.JobClientLicenceXML_Create">
 <summary>
 erzeugt den JobClientSettingsXML File 
 ueberarbeitet 7.7.2010 J.Fes (old Name was JobManger_Client_INI_gen_with_template)
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.ApplSQLScriptList_ReadAndExecuteContainingSQLScripts(System.String,System.String,Microsoft.VisualBasic.MsgBoxResult,JF.PlmJobManager.JobServer.SqlExcuteMethode_Enum,System.Collections.Generic.List{System.String})">
 <summary>        ''' 
 </summary>
 <param name="SqlListe_DP_p"></param>
 <param name="SqlListe_NE_p"></param>
 <param name="ContinueAfterTsqlExcute_p"></param>
 <param name="SqlExcuteMethode_p"></param>
 <returns></returns>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 #LUp: 3.1602;26.08.2022;S.Gueth: added SQLScriptsDPNE_ReturnOnly_rp variable to return only the sql statement
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseSetup_TSQLSearch_and_Execute(System.String,System.String,Microsoft.VisualBasic.MsgBoxResult)">
 <summary>
 </summary>
 <param name="TSQLScriptSearchWildCard_NE"></param>
 <param name="TSQLScriptFile_DPNE"></param>
 <param name="ContinueAfterSqlExcute_p"></param>
 <returns></returns>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseSetup_TSQL_ExecuteDo(System.String,Microsoft.VisualBasic.MsgBoxResult,System.Collections.Generic.List{System.String})">
 <summary>
 Liest das TSQL Script 
 ersetzt im Text die Variablen 
 schreib den Text in eine Temporäre .sql Datei 
 diese TSQL Scripte wird auf dem Server ausgeführt
 </summary>
 <returns></returns>
 <remarks>
 #LUp: 3.1434;19.10.2017;S.Gueth: added CHCP 1252 to skript, to match the codepage
 #LUp: 3.1602;26.08.2022;S.Gueth: added SQLScriptsDPNE_ReturnOnly_rp variable to return only the sql statement
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseSetup_11_DataBaseCreateNew(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>
 Erzeugt eine neue Datenbank  
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseSetup_12_TablesCreateUpdate(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>
 Create Updates all Tabels
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseSetup_13_ProceduresImportUpdate(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>        ''' 
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseMaintain_21_UpgradeDatabase(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>        ''' 
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseMaintain_22_OptimiceDB_ReOrgIndices(Microsoft.VisualBasic.MsgBoxResult,System.Collections.Generic.List{System.String})">
 <summary>        ''' 
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 #LUp: 3.1602;26.08.2022;S.Gueth: added SQLScriptsDPNE_ReturnOnly_rp variable to return only the sql statement
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseMaintain_23_OptimiceDB_ReOrgDB(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>        ''' 
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.DataBaseMaintain_25_Backup(Microsoft.VisualBasic.MsgBoxResult)">
 <summary>        ''' 
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.SettingsManager.Settings_cls.TSQLScriptFind_DPNE(System.String)">
 <summary>
 searches for T-SQL Script
 </summary>
 <param name="TsqlSearch_Wildcard_NE"></param>
 <returns></returns>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.SettingsManager_frm_FormClosing(System.Object,System.Windows.Forms.FormClosingEventArgs)">
 <remarks> 
 #LUp: 3.1800;01.02.2023;S.Gueth: GUI will ask for saving settings, when form is closed by user
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.CloseByFunction">
 <summary>
 form closed by function (not interactive  by user)
 </summary>
 <remarks> 
 #New: 3.1800;01.02.2023;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_ExecuteTSQLProcedures_BySelectTSQLFile_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 Methode zum auswählen eines SQL Files das in der JobMgr DB aufgeührt werden soll
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_11_DataBaseCreateNew_DataBase_Click(System.Object,System.EventArgs)">
 <summary>
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_12_CreateUpdate_Tables_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_13_ImportProcedures_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 Importiert / Updated die T-SQL Procedure
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_ExecuteTSQLScript_BySelect_SQLScriptList">
 <summary>
 Methode zum auswählen eines SQL script List Files das in der JobMgr DB aufgeührt werden soll
 </summary>
 <remarks>New: 2.1210;16.12.2014;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_32_CustomSetupViaTSQL_List_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <remarks>
 New: 2.1210;16.12.2014;J.Fes
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseSetup_31_CustomSetup_OpenDir_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 Starts Explorer in DIR MyAppl_Settings.ServerSettings.BinServerCustom_Resources_JobMgrSQL_DP
 </summary>
 <remarks>New: 2.1210;16.12.2014;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseMaintain_21_UpdateDatabase_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 #LUp: 3.1503;21.04.2021;J.Fes: removed (*1)
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseMaintain_22_OptimiceDB_ReOrgIndices_Click(System.Object,System.EventArgs)">
 <summary>
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseMaintain_23_OptimiceDB_ReOrgDBl_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 </summary>
 <remarks>
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.DataBaseMaintain_25_Backup_ToolStripMenuItem_Click(System.Object,System.EventArgs)">
 <summary>
 Runs Backup JobMgr Database
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 <remarks>
 New: 2.1215;12.07.2015;J.Fes
 #LUp: 3.1434;20.10.2017;S.Gueth: changed to async method
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.Licence_PropertyGrid_PropertyValueChanged(System.Object,System.Windows.Forms.PropertyValueChangedEventArgs)">
 <summary>
 Handles Licence_PropertyGrid.PropertyValueChanged event 
 </summary>
 <param name="s"></param>
 <param name="e"></param>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.checkLicenceButton_Click(System.Object,System.EventArgs)">
 <summary>
 check licence button was pressed
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.CopyLicenceToClipboardToolStripButton_Click(System.Object,System.EventArgs)">
 <summary>
 copy licence to clipboard was pressed
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 <remarks>New: 3.1230;21.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.ImportLicenceToolStripButton_Click(System.Object,System.EventArgs)">
 <summary>
 function  will be executed when import licence was clicked
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 <remarks>New: 3.1230;22.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.Licence_PropertyGrid_DragDrop(System.Object,System.Windows.Forms.DragEventArgs)">
 <summary>
 load the file when it was droped in Licence_PropertyGrid
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 ''' <remarks>New: 3.1230;22.01.2016;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.JobServer_SettingsManager_frm.Licence_PropertyGrid_DragEnter(System.Object,System.Windows.Forms.DragEventArgs)">
 <summary>
 check if it is a fill, that was draged in
 </summary>
 <param name="sender"></param>
 <param name="e"></param>
 ''' <remarks>New: 3.1230;22.01.2016;S.Gueth</remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.NotificationService">
 <summary>
 Notification Services triggers events 
 </summary>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.NotificationService.Instance">
 <summary>
 Returns instance of NotificationService_cls
 </summary>
 <returns></returns>
 <remarks></remarks>
</member>
<member name="E:JF.PlmJobManager.JobServer.NotificationService.ForeColorOfMainFormChanged_Event">
 <summary>
 Event to set Mainform ForeColor
 </summary>
 <param name="newColor_p"></param>
 <remarks>New: 2.1199;17.07.2013;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.NotificationService.ForeColorOfMainFormChanged(System.Drawing.Color)">
 <summary>
 Trigger to set Mainform ForeColor
 </summary>
 <param name="newColor_p"></param>
 <remarks></remarks>
</member>
<member name="E:JF.PlmJobManager.JobServer.NotificationService.TitelMainFormChanged_event">
 <summary>
 Event to set Titel of Mainform
 </summary>
 <remarks>New: 2.1199;17.07.2013;J.Fes</remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.NotificationService.TitelMainFormChanged">
 <summary>
 Trigger set reset Titel of Mainform
 </summary>
 <remarks></remarks>
</member>
<member name="E:JF.PlmJobManager.JobServer.NotificationService.AdminModeChanged_event">
 <summary>
 Event to set AdminMode to value of Enable_p
 </summary>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.NotificationService.AdminModeChanged(System.Boolean)">
 <summary>
 Trigger to set AdminMode
 </summary>
 <param name="Enable_p"></param>
 <remarks></remarks>
</member>
</members>
</doc>
